Bug 763032 - (GLUSTER-1300) gluster core dump
gluster core dump
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
3.1-alpha
All Linux
low Severity high
: ---
: ---
Assigned To: Pranith Kumar K
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-06 04:16 EDT by Lakshmipathi G
Modified: 2010-08-24 08:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lakshmipathi G 2010-08-06 04:16:22 EDT
started glusterd in debug mode
and then using gluster command hangs  and pressing enter,core dumps. 
-----------
Loaded symbols for /lib64/libnss_files.so.2
Core was generated by `gluster'.
Program terminated with signal 11, Segmentation fault.
#0  0x00002aaaab5dc012 in strcmp () from /lib64/libc.so.6
(gdb) bt
#0  0x00002aaaab5dc012 in strcmp () from /lib64/libc.so.6
#1  0x000000000040536c in cli_cmd_nextword (word=0x7fff820567c8, token=0x0) at registry.c:278
#2  0x0000000000405855 in cli_cmd_process (state=0x7fff820567a0, argc=1, argv=0x616e10) at cli-cmd.c:60
#3  0x0000000000405a76 in cli_cmd_process_line (state=0x7fff820567a0, text=0x41400d10 "\n") at cli-cmd.c:144
#4  0x0000000000405741 in cli_input (d=0x7fff820567a0) at input.c:71
#5  0x00002aaaab34d407 in start_thread () from /lib64/libpthread.so.0
#6  0x00002aaaab637b0d in clone () from /lib64/libc.so.6
Missing separate debuginfos, use: debuginfo-install glibc.x86_64
(gdb) f 1
#1  0x000000000040536c in cli_cmd_nextword (word=0x7fff820567c8, token=0x0) at registry.c:278
278	                        ret = strcmp (next->word, token);
Comment 1 Anand Avati 2010-08-19 11:24:00 EDT
PATCH: http://patches.gluster.com/patch/4217 in master (cli: Fix issues in non readline mode)

Note You need to log in before you can comment on or make changes to this bug.